Bug 492191 - Review Request: jmod - Java Sound MODules Library
Review Request: jmod - Java Sound MODules Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 492203
  Show dependency treegraph
 
Reported: 2009-03-25 16:03 EDT by Orcan Ogetbil
Modified: 2009-04-13 15:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orcan Ogetbil 2009-03-25 16:03:28 EDT
Spec URL: http://oget.fedorapeople.org/review/jmod.spec
SRPM URL: http://oget.fedorapeople.org/review/jmod-0.9-1.fc10.src.rpm
Description: 
Sound Modules (MODs) are music files that contain samples and replaying
information. They are known from the Amiga and other computer systems and are able to offer high quality music togehter with small file sizes. The Java
Sound Modules Player library is able to load, decode and replay such files
using standard Java Sound. This library supports .MOD, .XM, .S3M, .IT and .ZIP
module formats.

JMOD is a fork of the project ANA-MP. The main differences are that JMOD is a
library that is really small, fast and efficient (no GUI or other fancy
features that aren't necessary for a replaying library).

The JMOD library can be added to own projects and included into an existing GUI
there.


rpmlint:
jmod.src:134: W: libdir-macro-in-noarch-package %{_libdir}/gcj/%{name}
is a false positive. The package is not noarch by default.
Comment 1 Alexander Kurtakov 2009-04-09 12:28:44 EDT
Formal review:

OK: rpmlint gives only one false positive.
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible.
OK: Script to fetch sources included.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires
OK: A package must own all directories that it creates.
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.

The package is good to go.

APPROVED.
Comment 2 Orcan Ogetbil 2009-04-09 13:06:09 EDT
Thanks Alexander!

New Package CVS Request
=======================
Package Name: jmod
Short Description: Java Sound MODules Library
Owners: oget
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-04-09 19:30:22 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-09 23:43:38 EDT
jmod-0.9-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/jmod-0.9-1.fc9
Comment 5 Fedora Update System 2009-04-09 23:50:37 EDT
jmod-0.9-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/jmod-0.9-1.fc10
Comment 6 Fedora Update System 2009-04-13 15:42:12 EDT
jmod-0.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-04-13 15:44:41 EDT
jmod-0.9-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.